package de.duehl.vocabulary.japanese.data.symbol;

import java.util.ArrayList;
import java.util.List;

/**
 * Diese Klasse stellt die japanische Ziffern (in UTF-Zeichen) dar.
 *
 * @version 1.01     2025-05-07
 * @author Christian Dühl
 */

public enum Digits {

    NULL("０"),
    EINS("１"),
    ZWEI("２"),
    DREI("３"),
    VIER("４"),
    FUENF("５"),
    SECHS("６"),
    SIEBEN("７"),
    ACHT("８"),
    NEUN("９"),
    ;

    /** Das Zeichen in UTF-8 Darstellung. */
    private final String character;

    /**
     * Konstruktor.
     *
     * @param character
     *            Das Zeichen in UTF-8 Darstellung.
     */
    private Digits(String character) {
        this.character = character;
    }

    /** Getter für das Zeichen in UTF-8 Darstellung. */
    public String getCharacter() {
        return character;
    }

    /** Gibt eine Liste mit den Zeichen der japanische Ziffern zurück. */
    public static List<String> getAllDigitsAsStringList() {
        List<String> digitList = new ArrayList<>();

        for (Digits punctuation : Digits.values()) {
            digitList.add(punctuation.getCharacter());
        }

        return digitList;
    }

}
